# Generated by go2rpm
%bcond_without check

# https://github.com/gogo/protobuf
%global goipath         github.com/gogo/protobuf
Version:                1.3.1

%gometa

%global common_description %{expand:
Gogoprotobuf is a fork of golang/protobuf with extra code generation features.

This code generation is used to achieve:

 - fast marshalling and unmarshalling
 - more canonical Go structures
 - goprotobuf compatibility
 - less typing by optionally generating extra helper code
 - peace of mind by optionally generating test and benchmark code
 - other serialization formats}

%global golicenses      LICENSE
%global godocs          AUTHORS CONTRIBUTORS README bench.md custom_types.md Readme.md extensions.md

%global godevelheader %{expand:
Obsoletes:      golang-googlecode-gogoprotobuf-devel < 1.1.1-2
}

Name:           %{goname}
Release:        %mkrel 1
Summary:        Protocol buffers for Go with gadgets
Group:          Development/Other

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
# Go 1.15: https://github.com/golang/go/issues/32479
# https://github.com/gogo/protobuf/pull/704
Patch0:         0001-Convert-int-to-string-using-rune.patch

BuildRequires:  protobuf-compiler

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
for cmd in protoc-gen-gogo protoc-gen-gofast protoc-min-version protoc-gen-combo protoc-gen-gostring protoc-gen-gogoslick protoc-gen-gogotypes protoc-gen-gogofaster gogoreplace conformance protoc-gen-gogofast; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -t protoc-gen-gogo -d test/moredefaults -d test/dashfilename -d test/embedconflict -d test/issue270 -r .*/unsafeunmarshaler -r .*/unsafeboth -r .*/unsafemarshaler -d test/packed
%endif

%files
%license LICENSE
%doc AUTHORS CONTRIBUTORS README bench.md custom_types.md Readme.md extensions.md
%{_bindir}/*

%gopkgfiles


%changelog
* Mon Nov 02 2020 pterjan <pterjan> 1.3.1-1.mga8
+ Revision: 1641786
- Sync with Fedora
- Rename to golang-github-gogo-protobuf

* Mon Nov 19 2018 pterjan <pterjan> 1.1.1-1.mga7
+ Revision: 1332007
- imported package golang-googlecode-gogoprotobuf

